Bug 350491 - Anaconda crashes when using kickstart post script
Anaconda crashes when using kickstart post script
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 10:10 EDT by Paul Sorensen
Modified: 2008-02-04 10:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-04 10:17:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Sorensen 2007-10-24 10:10:02 EDT
When using a ks.cfg file with a %post section, anaconda crashes with the message
saying that global STATE_PRE is not defined in /usr/lib/anaconda/kickstart.py at
line 738.

I was using revisor and system-config-kickstart to create the DVD.

In looking at the code for anaconda, I traced the bug to kickstart/parser.py.
Seems that in the latest version 1.13-2.fc7 version of pykickstart this symbol
was changed from STATE_PRE to STATE_SCRIPT. Or rather the symbols STATE_PRE,
STATE_POST and STATE_TRACEBACK where removed and STATE_SCRIPT was added.

So my conclusion is anaconda is out of sync with pykickstart development.
Comment 1 Chris Lumens 2007-10-25 11:43:40 EDT
Please try pykickstart-1.13.1-1 in f7-updates-testing to see if this corrects
the issue for you.  Thanks.
Comment 2 Fedora Update System 2007-11-09 18:51:58 EST
pykickstart-1.13.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pykickstart'
Comment 3 Jeroen van Meeuwen 2008-02-03 15:21:06 EST
Seems not to have been fixed, anaconda is still addressing STATE_PRE which
doesn't exist. Rebuilding anaconda from GIT...
Comment 4 Jeroen van Meeuwen 2008-02-03 20:46:46 EST
Fixed with commit 33091805cebbeaf09d276d0fbb7cea4574aeec8a in the f8-branch of
anaconda. Packaged versions at http://www.kanarip.com/f8/
Comment 5 Jeroen van Meeuwen 2008-02-03 20:47:26 EST
Hmmm, that should be http://www.kanarip.com/anaconda/f7/ (3AM here ;p)

Note You need to log in before you can comment on or make changes to this bug.